Bug 135390 - mkinitrd doesn't always bring in usb controllers for usb-storage
mkinitrd doesn't always bring in usb controllers for usb-storage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 09:39 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 23:18:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Move the handling of implicit usb-storage deps to a better place (924 bytes, patch)
2004-10-12 09:41 EDT, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description Alexandre Oliva 2004-10-12 09:39:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; rv:1.7.3)
Gecko/20041008 Firefox/0.10.1

Description of problem:
mkinitrd brings into initrd.img any modules listed as
scsi_hostadapter* in /etc/modprobe.conf.  Unfortunately, when it
brings in usb-storage, it doesn't always bring in the usb-controller
modules.

When the root device is in a USB disk, it does, because there's code
to handle this, but if you have raid devices with members in USB
disks, you'll be unhappy to notice that the disk isn't brought up at
the time we attempt to autorun all raid devices.  If raid members are
in both USB disks and elsewhere, you may end up with degraded RAID 1
arrays.

I propose that we move the code that handles the implicit dependencies
of usb-storage to a more generic location, next to where we handle
corresponding implicit dependencies of say sbp2.  I'll attach a patch
that implements this change.

Version-Release number of selected component (if applicable):
mkinitrd-4.1.14-1

How reproducible:
Always

Steps to Reproduce:
1.Create say a raid device with one member on a USB disk
2.Make sure /etc/modprobe.conf lists usb-controller and
scsi_hostadapter usb-storage
3.Run mkinitrd -v -f

Actual Results:  usb-storage makes to initrd.img, but the
usb-controller module doesn't.

Expected Results:  usb-storage without usb-controller is pointless.

Additional info:
Comment 1 Alexandre Oliva 2004-10-12 09:41:52 EDT
Created attachment 105058 [details]
Move the handling of implicit usb-storage deps to a better place

This patch moves the code that currently is only used if the root device is on
USB to a more generic location, in which it will be used whenever usb-storage
is included.
Comment 2 Matthew Miller 2006-07-10 18:28:55 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Alexandre Oliva 2006-07-31 23:18:46 EDT
This bug is no longer relevant, and the mkinitrd in rawhide is significantly
different in this regard that the patch no longer applies (in both senses :-)

Note You need to log in before you can comment on or make changes to this bug.